<%@ page contentType="text/html; charset=UTF-8" %>
<%-- 
 Copyright 2003 Sun Microsystems, Inc. All rights reserved
 Use is subject to license terms.
--%> 
<%@ page import="java.util.Enumeration" %>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>

<dt:obtainChannel channel="$JSPProvider">
  <dtpc:providerContext>
  <dtpc:getStringProperty key="fontFace1" id="fontFace"/>
  <jx:declare id="fontFace" type="java.lang.String"/>
<table  border=0 cellpadding=2 cellspacing=0>
<tr><td bgcolor=<dttheme:getAttribute name="tabColor" default="#cccccc"/> width="100%">
  <font class="<dttheme:getAttribute name="titleText" default="nonuw"/>" color="<dttheme:getAttribute name="tabFontColor" default="#000000"/>"><b>
Eine Einführung des JSP-Anbieters</b>
  </font>
</td></tr>

<tr><td>
<font color="<dttheme:getAttribute name="fontColor"/>" size="<dttheme:getAttribute name="fontSize" default="+0"/>" face="<dttheme:getAttribute name="fontFace"/>">
Der JSPProvider-Inhaltsanbieter kann für die Erstellung von Desktopkanälen verwendet werden, und zwar unter Verwendung von <a href="http://java.sun.com/products/jsp/" target=_blank>JavaServer-Seiten</a>. Dieser Kanal ist ein Beispiel für die Verwendungsmöglichkeiten von JSPs. Zum Ändern der Sitzungsattribute klicken Sie auf die Schaltfläche zum Bearbeiten von Kanälen.
</font>
</td></tr>
</table>

<table border=1 bgcolor="<dttheme:getAttribute name="channelHighlightColor" default="#FFFFFF"/>">
<tr valign=top>
<td><font color="<dttheme:getAttribute name="fontColor"/>" size="<dttheme:getAttribute name="fontSize" default="+0"/>" face="<dttheme:getAttribute name="fontFace"/>">JSP:</font></td>
<td><font color="<dttheme:getAttribute name="fontColor"/>" size="<dttheme:getAttribute name="fontSize" default="+0"/>" face="<dttheme:getAttribute name="fontFace"/>"><dtpc:getStringProperty key="contentPage"/></font></td>
</tr>
<tr valign=top>
<dtpc:getStringProperty key="contentPage" id="contentPage"/>
<jx:declare id="contentPage" type="java.lang.String"/>
<form>
<td><font color="<dttheme:getAttribute name="fontColor"/>" size="<dttheme:getAttribute name="fontSize" default="+0"/>" face="<dttheme:getAttribute name="fontFace"/>"><LABEL FOR="RealPath">Tatsächlicher JSP-Pfad:</LABEL></font></td>
<td><font color="<dttheme:getAttribute name="fontColor"/>" size="<dttheme:getAttribute name="fontSize" default="+0"/>" face="<dttheme:getAttribute name="fontFace"/>"><textarea name="textfield" rows="1" cols="25" wrap="OFF" ID="RealPath"><%= application.getRealPath(contentPage) %></textarea></font></td>
</form>
</tr>
<tr valign=top>
<td><font color="<dttheme:getAttribute name="fontColor"/>" size="<dttheme:getAttribute name="fontSize" default="+0"/>" face="<dttheme:getAttribute name="fontFace"/>">Anforderungsparameter:</font></td>
<td><font color="<dttheme:getAttribute name="fontColor"/>" size="<dttheme:getAttribute name="fontSize" default="+0"/>" face="<dttheme:getAttribute name="fontFace"/>">
<%
  Enumeration pe = request.getParameterNames();
  if (pe.hasMoreElements()) {
    while (pe.hasMoreElements()) {
      String pname = (String)pe.nextElement();
      String pval = request.getParameter(pname);
      out.println(pname + "=" + pval + "<br>");
    }
  } else {
    out.println("Keine");
  }
%>
</font>
</td>
</tr>
<tr valign=top>
<td><font color="<dttheme:getAttribute name="fontColor"/>" size="<dttheme:getAttribute name="fontSize" default="+0"/>" face="<dttheme:getAttribute name="fontFace"/>">Sitzungsattribute:</font></td>
<td><font color="<dttheme:getAttribute name="fontColor"/>" size="<dttheme:getAttribute name="fontSize" default="+0"/>" face="<dttheme:getAttribute name="fontFace"/>">
<%
  Enumeration ae = session.getAttributeNames();
  if (ae.hasMoreElements()) {
    while (ae.hasMoreElements()) {
      String aname = (String)ae.nextElement();
      Object aval = session.getAttribute(aname); 
      out.println(aname + "=" + aval.toString() + "<br>");
    }
  } else {
    out.println("Keine");
  }
%>
</font>
</td>
</tr>
<tr valign=top>
<td><font color="<dttheme:getAttribute name="fontColor"/>" size="<dttheme:getAttribute name="fontSize" default="+0"/>" face="<dttheme:getAttribute name="fontFace"/>">Gewählte Benutzerattribute:</font></td>
<td><font color="<dttheme:getAttribute name="fontColor"/>" size="<dttheme:getAttribute name="fontSize" default="+0"/>" face="<dttheme:getAttribute name="fontFace"/>">
Vorname (givenname) = <dtpc:getStringAttribute key="givenname"/><br>
Nachname (sn) = <dtpc:getStringAttribute key="sn"/><br>
</font>
</td>
</tr>
</table>
  </dtpc:providerContext>
</dt:obtainChannel>
<!-- Channel width is p.getWidth() -->
<%-- This is a JSP comment, should not appear in HTML source --%>
