<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="java.util.*,com.sun.im.portal.provider.IMProvider" %>
<%@ taglib uri="/tld/im.tld" prefix="im" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<dt:obtainChannel channel="$JSPProvider">
<jx:declare id="JSPProvider" type="com.sun.im.portal.provider.IMProvider"/>
<dtpc:getStringProperty id="fontFace" key="fontFace1"/>
<jx:declare id="fontFace" type="java.lang.String"/>

<table border="0" cellpadding="0" cellspacing="3" width="100%">
<tbody>
<%-- ------------------- Channel Display Information ---------------- --%>
<tr>
  <td width="100%" bgcolor="#333366" colspan="3">
    <font size="+1" face="<%=fontFace%>" color="#ffffff"><b>
Informations sur le canal
    </b></font></td>
</tr>
<tr>
<td colspan="2" width="70%"></td>
<td valign="top" rowspan="3">
  <table border="0" cellpadding="2" cellspacing="1" width="100%" bgcolor="#eeeeee">
  <tbody>
  <tr>
    <td valign="top" bgcolor="#dcdcdc" height="15">
      <font face="<%=fontFace%>"><b>
Pourquoi ?
      </b></font>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <font face="<%=fontFace%>" size="-1">
Le canal Instant Messenger indique si les contacts 
de la liste des contacts que vous saisissez ici sont présents ou non. 
      </font>
    </td>
  </tr>
  </tbody></table>
</td>
</tr>

<tr>
  <im:getContactGroups id="groups"/>
  <% if (pageContext.getAttribute("groups") == null) { %>
      <td colspan="2">
      <i><font color="red">Erreur</font>: Impossible de contacter le serveur de messagerie instantanée pour obtenir la liste de vos groupes de contacts.</i>
      </td>
  <% }
     else {
  %>
      <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
        <label for="commonname"><b>
Liste des contacts :
        </b></label></font><br>
      </td>
      <td valign="middle">
        <select name="contactGroup">
         <dtpc:getStringProperty id="cg" key="contactGroup"/>
          <jx:declare id="cg" type="java.lang.String"/>
          <jx:forEach var="group" items="$groups">
            <jx:declare id="group" type="java.lang.String"/>
            <option value="<%=group%>" <%= cg.equals(group) ? "selected" : "" %>><%=group%></option>
          </jx:forEach>
          <option value="__ALL__" <%= cg.equals("") ? "selected" : "" %>>Tous les contacts</option>
        </select>
      </td>
  <% } %>
</tr>
<tr><td colspan="2"></td></tr>

<%-- ------------------- Instant Messenger Launch Information ---------------- --%>

<tr>
  <td width="100%" bgcolor="#333366" colspan="3">
    <font size="+1" face="<%=fontFace%>" color="#ffffff"><b>
Informations sur le lancement d'Instant Messenger
    </b></font></td>
</tr>
<tr>
<td colspan="2" width="70%"></td>
<td valign="top" rowspan="3">
  <table border="0" cellpadding="2" cellspacing="1" width="100%" bgcolor="#eeeeee">
  <tbody>
  <tr>
    <td valign="top" bgcolor="#dcdcdc" height="15">
      <font face="<%=fontFace%>"><b>
Pourquoi ?
      </b></font>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <font face="<%=fontFace%>" size="-1">
Le programme Instant Messenger peut être exécuté dans votre navigateur (plug-in Java) 
ou peut être installé sur votre ordinateur à l'aide de Java Web Start.
      </font>
    </td>
  </tr>
  </tbody></table>
</td>
</tr>

<tr>
  <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
    <label for="commonname"><b>
Méthode de lancement :
    </b></label></font><br>
  </td>
  <td valign="middle">
    <select name="clientRunMode">
      <dtpc:getStringProperty id="crm" key="clientRunMode"/>
      <option value="plugin" <jx:if test="$crm == 'plugin'">selected</jx:if>>Plug-in Java</option>
      <option value="jnlp" <jx:if test="$crm == 'jnlp'">selected</jx:if>>Java Web Start</option>
    </select>
  </td>
</tr>
<tr><td colspan="2"></td></tr>

<%-- ------------------- Instant Messaging Server Information ---------------- --%>

<tr>
  <td width="100%" bgcolor="#333366" colspan="3">
    <font size="+1" face="<%=fontFace%>" color="#ffffff"><b>
Informations sur le serveur de la messagerie instantanée
    </b></font></td>
</tr>
<tr>
<td colspan="2" width="70%"></td>
<td valign="top" rowspan="5">
  <table border="0" cellpadding="2" cellspacing="1" width="100%" bgcolor="#eeeeee">
  <tbody>
  <tr>
    <td valign="top" bgcolor="#dcdcdc" height="15">
      <font face="<%=fontFace%>"><b>
Pourquoi ?
      </b></font>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <font face="<%=fontFace%>" size="-1">
Pour accéder au serveur de la messagerie instantanée, vous devez entrer les
données permettant de contacter le serveur.-
      </font>
    </td>
  </tr>
  </tbody></table>
</td>
</tr>

<tr>
  <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
    <label for="commonname"><b>
Nom d'hôte du serveur:
    </b></label></font><br>
  </td>
  <td valign="middle">
    <input type="text" name="mux" size="25" maxlength="40" 
     value="<dtpc:getStringProperty key="mux"/>">
  </td>
</tr>

<tr>
  <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
    <label for="commonname"><b>
Port du serveur :
    </b></label></font><br>
  </td>
  <td valign="middle">
    <input type="text" name="muxport" size="25" maxlength="40" 
     value="<dtpc:getStringProperty key="muxport"/>">
  </td>
</tr>

<dtpc:getStringProperty id="authMethod" key="authMethod"/>
<jx:if test="$authMethod == 'ldap'">
  <tr>
    <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
      <label for="commonname"><b>
  Nom d`utilisateur :
      </b></label></font><br>
    </td>
    <td valign="middle">
      <input type="text" name="username" size="25" maxlength="40" 
       value="<dtpc:getStringProperty key="username"/>">
    </td>
  </tr>
  
  <tr>
    <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
      <label for="commonname"><b>
  Mot de passe :
      </b></label></font><br>
    </td>
    <td valign="middle">
      <input type="password" name="password" size="25" maxlength="40" 
       value="<%= JSPProvider.getDummyPassword() %>">
  </td>
  </tr>
</jx:if>

<tr><td colspan="2"></td></tr>

</tbody>
</table>
</dt:obtainChannel>
