<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="java.util.*,com.sun.im.portal.provider.IMProvider" %>
<%@ taglib uri="/tld/im.tld" prefix="im" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<dt:obtainChannel channel="$JSPProvider">
<jx:declare id="JSPProvider" type="com.sun.im.portal.provider.IMProvider"/>
<dtpc:getStringProperty id="fontFace" key="fontFace1"/>
<jx:declare id="fontFace" type="java.lang.String"/>

<table border="0" cellpadding="0" cellspacing="3" width="100%">
<tbody>
<%-- ------------------- Channel Display Information ---------------- --%>
<tr>
  <td width="100%" bgcolor="#333366" colspan="3">
    <font size="+1" face="<%=fontFace%>" color="#ffffff"><b>
通道顯示資訊
    </b></font></td>
</tr>
<tr>
<td colspan="2" width="70%"></td>
<td valign="top" rowspan="3">
  <table border="0" cellpadding="2" cellspacing="1" width="100%" bgcolor="#eeeeee">
  <tbody>
  <tr>
    <td valign="top" bgcolor="#dcdcdc" height="15">
      <font face="<%=fontFace%>"><b>
作用
      </b></font>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <font face="<%=fontFace%>" size="-1">
Instant Messenger 通道顯示有關您在此輸入的聯絡人清單中， 
聯絡人的線上狀態資訊。 
      </font>
    </td>
  </tr>
  </tbody></table>
</td>
</tr>

<tr>
  <im:getContactGroups id="groups"/>
  <% if (pageContext.getAttribute("groups") == null) { %>
      <td colspan="2">
      <i><font color="red">錯誤</font>: 無法連絡 Instant Messaging 伺服器以取得您的聯絡群組清單。</i>
      </td>
  <% }
     else {
  %>
      <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
        <label for="commonname"><b>
聯絡人清單：
        </b></label></font><br>
      </td>
      <td valign="middle">
        <select name="contactGroup">
         <dtpc:getStringProperty id="cg" key="contactGroup"/>
          <jx:declare id="cg" type="java.lang.String"/>
          <jx:forEach var="group" items="$groups">
            <jx:declare id="group" type="java.lang.String"/>
            <option value="<%=group%>" <%= cg.equals(group) ? "selected" : "" %>><%=group%></option>
          </jx:forEach>
          <option value="__ALL__" <%= cg.equals("") ? "selected" : "" %>>所有聯絡人</option>
        </select>
      </td>
  <% } %>
</tr>
<tr><td colspan="2"></td></tr>

<%-- ------------------- Instant Messenger Launch Information ---------------- --%>

<tr>
  <td width="100%" bgcolor="#333366" colspan="3">
    <font size="+1" face="<%=fontFace%>" color="#ffffff"><b>
Instant Messenger 啟動資訊
    </b></font></td>
</tr>
<tr>
<td colspan="2" width="70%"></td>
<td valign="top" rowspan="3">
  <table border="0" cellpadding="2" cellspacing="1" width="100%" bgcolor="#eeeeee">
  <tbody>
  <tr>
    <td valign="top" bgcolor="#dcdcdc" height="15">
      <font face="<%=fontFace%>"><b>
作用
      </b></font>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <font face="<%=fontFace%>" size="-1">
Instant Messenger 程式可以在您的瀏覽器 (Java plugin) 中執行， 
或者可以使用 Java Web Start 將它安裝在您的電腦上。
      </font>
    </td>
  </tr>
  </tbody></table>
</td>
</tr>

<tr>
  <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
    <label for="commonname"><b>
啟動方法：
    </b></label></font><br>
  </td>
  <td valign="middle">
    <select name="clientRunMode">
      <dtpc:getStringProperty id="crm" key="clientRunMode"/>
      <option value="plugin" <jx:if test="$crm == 'plugin'">selected</jx:if>>Java 外掛程式</option>
      <option value="jnlp" <jx:if test="$crm == 'jnlp'">selected</jx:if>>Java Web Start</option>
    </select>
  </td>
</tr>
<tr><td colspan="2"></td></tr>

<%-- ------------------- Instant Messaging Server Information ---------------- --%>

<tr>
  <td width="100%" bgcolor="#333366" colspan="3">
    <font size="+1" face="<%=fontFace%>" color="#ffffff"><b>
Instant Messaging 伺服器資訊
    </b></font></td>
</tr>
<tr>
<td colspan="2" width="70%"></td>
<td valign="top" rowspan="5">
  <table border="0" cellpadding="2" cellspacing="1" width="100%" bgcolor="#eeeeee">
  <tbody>
  <tr>
    <td valign="top" bgcolor="#dcdcdc" height="15">
      <font face="<%=fontFace%>"><b>
作用
      </b></font>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <font face="<%=fontFace%>" size="-1">
為了存取 Instant Messaging 伺服器，您必須輸入
聯絡伺服器所需要的資訊。
      </font>
    </td>
  </tr>
  </tbody></table>
</td>
</tr>

<tr>
  <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
    <label for="commonname"><b>
服务器主机名:
    </b></label></font><br>
  </td>
  <td valign="middle">
    <input type="text" name="mux" size="25" maxlength="40" 
     value="<dtpc:getStringProperty key="mux"/>">
  </td>
</tr>

<tr>
  <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
    <label for="commonname"><b>
伺服器連接埠：
    </b></label></font><br>
  </td>
  <td valign="middle">
    <input type="text" name="muxport" size="25" maxlength="40" 
     value="<dtpc:getStringProperty key="muxport"/>">
  </td>
</tr>

<dtpc:getStringProperty id="authMethod" key="authMethod"/>
<jx:if test="$authMethod == 'ldap'">
  <tr>
    <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
      <label for="commonname"><b>
  使用者名稱：
      </b></label></font><br>
    </td>
    <td valign="middle">
      <input type="text" name="username" size="25" maxlength="40" 
       value="<dtpc:getStringProperty key="username"/>">
    </td>
  </tr>
  
  <tr>
    <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
      <label for="commonname"><b>
  密碼：
      </b></label></font><br>
    </td>
    <td valign="middle">
      <input type="password" name="password" size="25" maxlength="40" 
       value="<%= JSPProvider.getDummyPassword() %>">
  </td>
  </tr>
</jx:if>

<tr><td colspan="2"></td></tr>

</tbody>
</table>
</dt:obtainChannel>
